Bug 866141 - [abrt] libreoffice-core-3.5.7.2-2.fc17: SvxNumOptionsTabPage::InitControls killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-2.fc17: SvxNumOptionsTabPage::InitControls ki...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e898af1bace75df09bb84d6d5ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 06:26 EDT by tasat
Modified: 2012-10-17 07:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 07:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (4.38 KB, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: environ (1.81 KB, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: backtrace (64.79 KB, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: maps (92.44 KB, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: dso_list (19.54 KB, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: var_log_messages (355 bytes, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details
File: open_fds (378 bytes, text/plain)
2012-10-14 06:26 EDT, tasat
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 558342 None None None 2012-10-16 10:06:30 EDT
Launchpad 1031537 None None None 2012-10-16 10:05:20 EDT

  None (edit)
Description tasat 2012-10-14 06:26:33 EDT
Description of problem:
Since yesterday, Libre Office is behaving very strange (...and a few other tools like Thunderbird). Menu entries appear empty (they are still clickable, though), slides look different in the slides-bar on the left and in the main window (e.g. some elements seem to be gone), images are suddenly missing. 
I can't remember what I did exactly. I wanted to check, why one of the images that I included in the presentation yesterday is not displayed. So, I clicked the box where it should appear in and Impress stopped working.

I'm not able to reproduce the problem. 


Version-Release number of selected component:
libreoffice-core-3.5.7.2-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/tobias/Documents/presentation.odp --splash-pipe=6
crash_function: SvxNumOptionsTabPage::InitControls
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 SvxNumOptionsTabPage::InitControls at /usr/src/debug/libreoffice-3.5.7.2/cui/source/tabpages/numpages.cxx:1510
: #1 SvxNumOptionsTabPage::Reset at /usr/src/debug/libreoffice-3.5.7.2/cui/source/tabpages/numpages.cxx:1438
: #2 SfxTabDialog::ActivatePageHdl at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/dialog/tabdlg.cxx:1259
: #3 SfxTabDialog::Start_Impl at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/dialog/tabdlg.cxx:701
: #4 Execute at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/dialog/tabdlg.cxx:586
: #5 SfxTabDialog::Execute at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/dialog/tabdlg.cxx:582
: #6 sd::FuOutlineBullet::DoExecute at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/func/fuolbull.cxx:91
: #7 sd::FuOutlineBullet::Create at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/func/fuolbull.cxx:68
: #8 sd::DrawViewShell::FuTemp01 at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/view/drviews8.cxx:131
: #9 sd::DrawViewShell::FuTemporary at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/view/drviews2.cxx:954
Comment 1 tasat 2012-10-14 06:26:37 EDT
Created attachment 626874 [details]
File: core_backtrace
Comment 2 tasat 2012-10-14 06:26:39 EDT
Created attachment 626875 [details]
File: environ
Comment 3 tasat 2012-10-14 06:26:41 EDT
Created attachment 626876 [details]
File: limits
Comment 4 tasat 2012-10-14 06:26:43 EDT
Created attachment 626877 [details]
File: backtrace
Comment 5 tasat 2012-10-14 06:26:47 EDT
Created attachment 626878 [details]
File: cgroup
Comment 6 tasat 2012-10-14 06:26:49 EDT
Created attachment 626879 [details]
File: maps
Comment 7 tasat 2012-10-14 06:26:51 EDT
Created attachment 626880 [details]
File: dso_list
Comment 8 tasat 2012-10-14 06:26:53 EDT
Created attachment 626881 [details]
File: var_log_messages
Comment 9 tasat 2012-10-14 06:26:55 EDT
Created attachment 626882 [details]
File: open_fds
Comment 10 Caolan McNamara 2012-10-16 10:07:02 EDT
Quite like ye old bug 558342
Comment 11 Caolan McNamara 2012-10-16 10:13:17 EDT
Though it sounds like there's something more "odd" and generic going on. Not sure there's something we can reproduce and solve here ?
Comment 12 tasat 2012-10-16 16:16:24 EDT
I was able to finish the presentation without further crashes or other anomalities.

I'll have a few more presentations coming up in the next weeks. So, if the problem occures again (or maybe I even find out how to reproduce it), I will let you know...
Comment 13 Caolan McNamara 2012-10-17 07:10:51 EDT
I'll mark it as closed insufficient info for now

Note You need to log in before you can comment on or make changes to this bug.